Technical FAQs

Ask a Question

Is DSM303 remote UMI module is compatible with ALL Sepam series 20, 40, 60, 80?

The DSM303 should be compatible with all models of Sepam 20, 40, 60, and 80. Normally, if the customer orders a new DSM303, it will be compatible with all Sepam. But, if it is an old DSM303, maybe ordered before 2000, then it may not be compatible with the Sepam specially  with series 40. DSM has its own firmware, in which we have zero access. If the firmware of DSM303 is less than V0146, then  there will be a problem. DSM303 cannot have firmware upgrade, it should be replaced.
Was this helpful?
What can we do to improve the information ?